package com.tmax.openframe.variable.group;

import ch.obermuhlner.math.big.BigDecimalMath;
import java.math.*;
import java.util.*;
import lombok.*;
import org.apache.commons.lang3.StringUtils;

/** 
 * <p>This source code was generated by COBOL to JAVA migrator</p>
 */
public @AllArgsConstructor @NoArgsConstructor @Builder(builderClassName = "builder") class OIVPUPDT_WS_DATE_TIME_AREA {
    public @Getter @Builder.Default String DCA_DATE = StringUtils
            .repeat(' ', 8);
    public @Getter @Builder.Default String DCA_TERM = StringUtils
            .repeat(' ', 4);
    public @Getter @Setter @Builder.Default OIVPUPDT_DCA_TIME DCA_TIME = new OIVPUPDT_DCA_TIME();

    public void setDCA_DATE(String source) {
        DCA_DATE = StringUtils.truncate(StringUtils.rightPad(source, 8), 8);
    }

    public void setDCA_TERM(String source) {
        DCA_TERM = StringUtils.truncate(StringUtils.rightPad(source, 4), 4);
    }

    public void set(String source) {
        DCA_DATE = source.substring(0, 8);
        DCA_TERM = source.substring(8, 12);
        DCA_TIME.set(source.substring(12, 20));
    }

    @Override
    public String toString() {
        return getDCA_DATE() + getDCA_TERM() + getDCA_TIME().toString();
    }
}
